Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::SkeletonBlockerDS::Graph_vertex Struct Reference

The type of vertices that are stored the boost graph. A Vertex must be Default Constructible and Equality Comparable. More...

`#include <concept/Skeleton_blocker/SkeletonBlockerDS.h>`

## Public Member Functions

void | deactivate ()
| Used to deactivate a vertex for example when contracting an edge. It allows in some cases to remove the vertex at low cost.
void | activate ()
| Used to activate a vertex.
bool | is_active () const
| Tells if the vertex is active.

## Detailed Description

The type of vertices that are stored the boost graph. A Vertex must be Default Constructible and Equality Comparable.

The documentation for this struct was generated from the following file:

- concept/Skeleton_blocker/SkeletonBlockerDS.h